Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		enscript
Version:	1.6.4
Release:	2
License:	GNU/GPL 
Group:		Text Tools
Source0: 	http://www.iki.fi/mtr/genscript/enscript-%{version}.tar.gz
Source1: 	enscript-ruby-1.6.4.tar.gz
#http://neugierig.org/software/ruby/ruby-enscript.tar.gz
Source2: 	enscript-php-1.6.4.st
#http://home.raxnet.net/downloads/viewcvs/php.st
Patch0: 	enscript-1.6.1-config.patch
Patch1: 	enscript-1.6.4-hilight.patch
Patch3: 	enscript-1.6.1-locale.patch
Patch4: 	enscript-doublefree.patch
Patch6: 	enscript-1.6.1-CAN-2004-1185.patch
Patch7: 	enscript-1.6.1-CAN-2004-1186.patch
Patch8: 	enscript-wrap_header.patch
URL: 		http://www.codento.com/people/mtr/genscript/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Enscript converts ASCII files to PostScript.
Prereq(post,preun): /sbin/install-info

%description
GNU enscript is a free replacement for Adobe's Enscript
program. Enscript converts ASCII files to PostScript(TM) and spools
generated PostScript output to the specified printer or saves it to a
file. Enscript can be extended to handle different output media and
includes many options for customizing printouts.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .hilight
%patch3 -p1 -b .locale
%patch4 -p1 -b .doublefree
%patch6 -p1 -b .CAN-2004-1185
%patch7 -p1 -b .CAN-2004-1186
%patch8 -p1 -b .wrap_header
%{__tar} -C states/hl -zxf %{SOURCE1} ruby.st
install -pm 644 %{SOURCE2} states/hl/php.st

%build
%configure --with-media=Letter
make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/info/dir

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/* \! -type d) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list
(cd %{buildroot};find .%{_datadir}/enscript/* -type d) | \
	sed -e 's,^\.,,' | sed -e 's,^,%dir ,' >> share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

cat %{name}.lang >> share.list

%clean
rm -rf %{buildroot}

%preun
if [ $1 = 0 ]; then
    [ -f %{_infodir}/%{name}.info.gz ] && \
      /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
	%{_infodir}/dir || :
fi

%post
[ -f %{_infodir}/%{name}.info.gz ] && \
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%files -f share.list
%doc AUTHORS ChangeLog docs/FAQ.html NEWS README README.ESCAPES THANKS TODO 
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/enscript
%{_infodir}/%{name}*
%config(noreplace) %{_sysconfdir}/enscript.cfg


%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.4-2
- rebuild
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 1.6.4-1
- Update to Version 1.6.4
